# Request and Response

## Get stores -or branches- and pickups type stores associated with the provided account

<mark style="color:blue;">`GET`</mark> `https://api.alephcrm.com/v2/accounts/{accountId}/stores`

#### Query Parameters

| Name                                       | Type    | Description    |
| ------------------------------------------ | ------- | -------------- |
| API\_KEY<mark style="color:red;">\*</mark> | String  | (default=none) |
| accountId                                  | Integer | (default=none) |
| allowPickupInStores                        | boolean | (default=NULL) |
| withAccountPickup                          | boolean | (default=NULL) |
| marketplace                                | Integer |                |
| sort                                       | String  | (default=ID)   |
| offset                                     | Integer | (default=0)    |
| limit                                      | Integer | (default=100)  |

{% tabs %}
{% tab title="200: OK {"Total": integer, "Paging": { "Limit": integer, "Offset": integer, "Total": integer,}, "SortBy": {"Id": string, "Name": string}, "AvailableSorts": \[{"Id": string, "Name": string }], "Results":\[ StoreType ] }" %}

{% endtab %}

{% tab title="400: Bad Request {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="401 {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="403: Forbidden {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="404: Not Found {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="412: Precondition Failed {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="416: Range Not Satisfiable {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="429: Too Many Requests {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="500: Internal Server Error string" %}

{% endtab %}
{% endtabs %}

## Parameters details

### API\_KEY

The API\_KEY that was provided.

### accountId

The Alephee account ID of the marketplaces you are trying to get.

### allowPickupInStores

Filter the stores that are enabled to work as a “Pickup in store” branch.\
If true, the endpoint will return only those stores that are enabled as “Pickup in store”\
If false, the endpoint will return only those stores that are not enabled as “Pickup in store”\
If null (default) the endpoint will return all the stores.

### withAccountPickup

Filter the stores that have an associated seller account.\
If true, the endpoint will return only those stores that have an associated seller account.\
If false, the endpoint will return only those stores that have no seller account registered.\
If null (default) the endpoint will return all the stores.

### marketplace

Filters stores belonging to the provided marketplace.\
See marketplaces ID section and the GET marketplaces endpoint for the coding reference.

### sort

Indicates the field to be sorted by (ascending only). Available fields: ID, dateCreated

### offset

Used for paging. Moves the inferior limit of the records to the provided one. For example, offset=50 gets the rows skipping the first 50 records.

### limit

Used for paging. Defines the number of records to be returned. For example, limit=10 gets only 10 records.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/accounts/get-methods/stores/request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
